/*!
 * @copyright Copyright &copy; Kartik Visweswaran, Krajee.com, 2015 - 2018
 * @package yii2-tree-manager
 * @version 1.0.9
 *
 * Tree View Validation Module.
 *
 * Author: Kartik Visweswaran
 * Copyright: 2015 - 2018, Kartik Visweswaran, Krajee.com
 * For more JQuery plugins visit http://plugins.krajee.com
 * For more Yii related demos visit http://demos.krajee.com
 */!function(e){"use strict";var t,a;t={QUERY_PARAM:"kvtree",DEFAULT_BUTTONS:{create:"create",createR:"create-root",trash:"remove",moveU:"move-up",moveD:"move-down",moveL:"move-left",moveR:"move-right",refresh:"refresh"},isEmpty:function(t,a){return null===t||void 0===t||0===t.length||a&&""===e.trim(t)},escapeRegExp:function(e){return e.replace(/[\-\[\]\/\{}\(\)\*\+\?\.\\\^\$\|]/g,"\\$&")},addCss:function(e,t){e.removeClass(t).addClass(t)},hashString:function(e){return e.split("").reduce(function(e,t){return e=(e<<5)-e+t.charCodeAt(0),e&e},0)},delay:function(){var e=0;return function(t,a){clearTimeout(e),e=setTimeout(t,a)}}()},a=function(t,a){var i=this;i.$element=e(t),i.init(a),i.listen()},a.prototype={constructor:a,init:function(a){var i,r=this;r.initCache(),e.each(a,function(e,t){r[e]=t}),r.dialogLib=window[r.dialogLib]||"",r.btns=e.extend({},t.DEFAULT_BUTTONS,r.btns),r.$tree=e("#"+r.treeId),r.$treeContainer=r.$tree.closest(".kv-tree-wrapper"),r.$detail=e("#"+r.detailId),r.$toolbar=e("#"+r.toolbarId),r.$wrapper=e("#"+r.wrapperId),r.$searchContainer=r.$wrapper.find(".kv-search-container"),r.$search=r.$wrapper.find(".kv-search-input"),r.$clear=r.$wrapper.find(".kv-search-clear"),i=r.$detail.find("form"),r.treeManageHash=i.find('input[name="treeManageHash"]').val(),r.treeRemoveHash=i.find('input[name="treeRemoveHash"]').val(),r.treeMoveHash=i.find('input[name="treeMoveHash"]').val(),r.select(r.$element.data("key"),!0),r.treeCache.timeout=r.cacheTimeout,r.hasActiveFilter=!1,r.selectNodes(),r.validateTooltips()},initCache:function(){var t=this;t.treeCache={timeout:3e5,data:{},remove:function(e){delete t.treeCache.data[e]},exist:function(e){var a=t.treeCache;return!!a.data[e]&&(new Date).getTime()-a.data[e]._<a.timeout},get:function(e){return t.treeCache.data[e].data},set:function(a,i,r){t.treeCache.remove(a),t.treeCache.data[a]={_:(new Date).getTime(),data:i},e.isFunction(r)&&r(i)}}},validateTooltips:function(){var e=this;e.showTooltips&&(e.$toolbar.find(".btn").tooltip(),e.$detail.find(".btn").tooltip())},trigAlert:function(t,a){var i=this.alertFadeDuration;a&&e.isFunction(a)||(a=function(){}),setTimeout(function(){t.fadeOut(i,a())},2*i)},selectNodes:function(){var a=this,i=a.$element.val();if(0!==i.length&&!t.isEmpty(i)){var r=a.$tree.find("li");r.removeClass("kv-selected"),i=i.split(","),e(i).each(function(e,i){t.addCss(a.$tree.find('li[data-key="'+i+'"]'),"kv-selected")})}},raise:function(t,a){var i=this,r=e.Event(t);return void 0!==a?i.$element.trigger(r,a):i.$element.trigger(r),!r.isDefaultPrevented()&&r.result!==!1},enableToolbar:function(){var e=this;e.$toolbar.find("button:not([data-always-disabled])").removeAttr("disabled")},disableToolbar:function(){var e=this;e.$toolbar.find("button").attr("disabled",!0),e.$toolbar.find(".kv-"+e.btns.createR+":not([data-always-disabled])").removeAttr("disabled")},enable:function(e){var t=this;t.$toolbar.find(".kv-"+t.btns[e]).removeAttr("disabled")},disable:function(e){var t=this;t.$toolbar.find(".kv-"+t.btns[e]).attr("disabled",!0)},showAlert:function(e,t,a){var i=this,r=i.$detail,n=r.find(".alert-"+t);r.find(".kv-select-node-msg").remove(),n.removeClass("hide").hide().find("div").remove(),n.append("<div>"+e+"</div>").fadeIn(i.alertFadeDuration,function(){i.trigAlert(n,a)})},removeAlert:function(){var e=this;e.$detail.find(".alert").addClass("hide")},renderForm:function(a,i,r){var n=this,s=n.$detail,o=i||"",l=r||!1,d=t.hashString(a+n.modelClass+n.isAdmin+o),c=s.find("form"),v=n.actions.manage,f=v&&-1!==v.indexOf("?")?"&":"?";v+=encodeURI(f+t.QUERY_PARAM+"="+d),n.formViewBegin=!0,n.parseCache(),n.removeAlert(),e.ajax({type:"post",dataType:"json",data:{id:a,modelClass:n.modelClass,isAdmin:n.isAdmin,formAction:n.formAction,formOptions:n.formOptions,parentKey:o,iconsList:n.iconsList,currUrl:n.currUrl,softDelete:n.softDelete,showFormButtons:n.showFormButtons,showIDAttribute:n.showIDAttribute,showNameAttribute:n.showNameAttribute,multiple:n.multiple,nodeView:n.nodeView,nodeAddlViews:n.nodeAddlViews,nodeSelected:n.nodeSelected,breadcrumbs:n.breadcrumbs,allowNewRoots:n.allowNewRoots,treeManageHash:n.treeManageHash},url:v,cache:!0,beforeSend:function(e,i){n.raise("treeview.beforeselect",[a,e,i])&&(c.length&&c.off().yiiActiveForm("destroy").remove(),s.html(""),t.addCss(s,"kv-loading"))},success:function(e,i,r){if(s.removeClass("kv-loading"),n.raise("treeview.selected",[a,e,i,r])){if("error"===e.status)return void(n.raise("treeview.selecterror",[a,e,i,r])&&s.html('<div class="alert alert-danger" style="margin-top:20px">'+e.out+"</div>"));s.html(e.out),s.find('button[type="reset"]').on("click",function(){n.removeAlert()}),n.removeAlert(),l===!1||t.isEmpty(l.out)||n.showAlert(l.out,l.type)}},error:function(e,t,i){n.raise("treeview.selectajaxerror",[a,e,t,i])},complete:function(e){n.raise("treeview.selectajaxcomplete",[a,e])&&n.validateTooltips()}})},select:function(a,i,r){if(!t.isEmpty(a)){var n,s=this,o=i||!1,l=r||!1,d=s.$tree.find('li[data-key="'+a+'"]>.kv-tree-list .kv-node-detail');0!==d.length&&(s.$tree.find(".kv-node-detail").removeClass("kv-focussed"),t.addCss(d,"kv-focussed"),o?s.$tree.find("li.kv-parent").each(function(){var t=e(this);t.has(d).length>0&&t.removeClass("kv-collapsed")}):s.renderForm(a,null,l),n=d.closest("li"),n.hasClass("kv-disabled")?s.disableToolbar():s.enableToolbar(),(!n.data("removable")||n.hasClass("kv-inactive")&&s.softDelete||!n.data("removableAll")&&n.hasClass("kv-parent"))&&s.disable("trash"),n.data("movable-u")||s.disable("moveU"),n.data("movable-d")||s.disable("moveD"),n.data("movable-l")||s.disable("moveL"),n.data("movable-r")||s.disable("moveR"),s.parseParentFlag(a))}},parseParentFlag:function(t){var a,i=this,r=i.$detail.find('input[class="kv-parent-flag"]'),n=i.$tree.find('li[data-key="'+t+'"]');r.each(function(){var t=e(this);a=t.closest("div.checkbox"),a.removeClass("disabled"),n.hasClass("kv-parent")?t.removeAttr("disabled"):(t.attr("disabled","disabled"),a.addClass("disabled"))})},remove:function(){var a,i,r=this,n=r.$tree.find("li .kv-node-detail.kv-focussed"),s=n.closest("li"),o=r.messages,l=r.$detail,d=l.find("form");0===n.length&&!s.hasClass("kv-empty")||s.hasClass("kv-disabled")||(i=function(e){var t=e?o.emptyNodeRemoved:o.nodeRemoved,i=s.closest("li.kv-parent");s.remove(),a=l.find(".alert"),r.formViewBegin=!1,l.find(".kv-select-node-msg").remove(),a.length&&l.before(a).html("").append(a),i.find("li").length||i.removeClass("kv-parent"),r.showAlert(t,"info",function(){l.append('<h4 class="alert text-center kv-select-node-msg" style="display:none;">'+o.selectNode+"</h4>"),setTimeout(function(){r.formViewBegin||l.find(".kv-select-node-msg").fadeIn(r.alertFadeDuration)},r.alertFadeDuration)})},r.dialogLib.confirm(o.removeNode,function(a){if(a){if(s.hasClass("kv-empty"))return void i(!0);var n=s.data("key");e.ajax({type:"post",dataType:"json",data:{id:n,modelClass:r.modelClass,softDelete:r.softDelete,treeRemoveHash:r.treeRemoveHash},url:r.actions.remove,beforeSend:function(e,a){r.raise("treeview.beforeremove",[n,e,a])&&(d.hide(),r.removeAlert(),t.addCss(l,"kv-loading"))},success:function(e,a,o){if(l.removeClass("kv-loading"),"success"===e.status){if(!r.raise("treeview.remove",[n,e,a,o]))return;if((r.isAdmin||r.showInactive)&&r.softDelete){r.showAlert(e.out,"info"),d.show();var c=r.modelClass.split("\\").pop(),v=d.find('input[name="'+c+'[active]"]');v.val(!1),v.prop("checked",!1),t.addCss(s,"kv-inactive"),s.data("removableAll")&&t.addCss(s.find("li"),"kv-inactive"),t.addCss(s,"kv-inactive")}else i();r.softDelete||r.disableToolbar()}else{if(!r.raise("treeview.removeerror",[n,e,a,o]))return;r.showAlert(e.out,"danger"),d.show()}},error:function(e,t,a){r.raise("treeview.removeajaxerror",[n,e,t,a])},complete:function(e){r.raise("treeview.removeajaxcomplete",[e])}})}}))},move:function(a){var i,r,n,s,o=this,l=o.$tree.find("li .kv-node-detail.kv-focussed"),d=l.closest("li"),c=o.messages,v=o.$detail,f=null,h=!1,u=function(){};if(0!==l.length&&!d.hasClass("kv-disabled")){if(d.hasClass("kv-empty"))return void o.dialogLib.alert(c.nodeNewMove);switch(a){case"u":if(f=d.prev(),0===f.length)return void o.dialogLib.alert(c.nodeTop);u=function(){f.before(d)};break;case"d":if(f=d.next(),0===f.length)return void o.dialogLib.alert(c.nodeBottom);u=function(){f.after(d)};break;case"l":if(f=d.parent("ul").closest("li.kv-parent"),0===f.length)return void o.dialogLib.alert(c.nodeLeft);s=f.parent("ul"),h=s.hasClass("kv-tree"),h&&(f=s.children("li:last-child")),u=function(){f.after(d),0===f.find("li").length&&(f.removeClass("kv-parent"),f.find("ul").remove())};break;case"r":if(f=d.prev(),0===f.length)return void o.dialogLib.alert(c.nodeRight);u=function(){f.find("li").length>0?f.children("ul").append(d):(t.addCss(f,"kv-parent"),e(document.createElement("ul")).appendTo(f).append(d))};break;default:throw"Invalid move direction '"+a+"'"}i=d.data("key"),r=f.data("key"),e.ajax({type:"post",dataType:"json",data:{idFrom:i,idTo:r,modelClass:o.modelClass,dir:a,allowNewRoots:o.allowNewRoots,treeMoveHash:o.treeMoveHash},url:o.actions.move,beforeSend:function(e,n){o.raise("treeview.beforemove",[a,i,r,e,n])&&t.addCss(o.$treeContainer,"kv-loading-search")},success:function(t,s,l){if(v.length>0&&o.removeAlert(),o.$treeContainer.removeClass("kv-loading-search"),"success"===t.status){if(!o.raise("treeview.move",[a,i,r,t,s,l]))return;u(),"l"===a||"r"===a?(o.treeCache.timeout=0,n=v.length>0?{out:t.out,type:"success"}:!1,o.select(i,!1,n),o.treeCache.timeout=o.cacheTimeout):v.length>0&&o.showAlert(t.out,"success"),o.$tree.find("li.kv-collapsed").each(function(){e(this).has(d).length>0&&e(this).removeClass("kv-collapsed")})}else v.length>0&&o.raise("treeview.moveerror",[a,i,r,t,s,l])&&o.showAlert(t.out,"danger")},error:function(e,t,n){o.$treeContainer.removeClass("kv-loading-search"),o.raise("treeview.moveajaxerror",[a,i,r,e,t,n])&&v.length>0&&(o.removeAlert(),o.showAlert(n,"danger"))},complete:function(e){o.raise("treeview.moveajaxcomplete",[e])}})}},setSelected:function(){var a=this,i="",r="";a.$tree.find(".kv-selected").each(function(){var a=e(this),n=t.isEmpty(i)?"":",";i+=n+a.data("key"),r+=n+a.find(">.kv-tree-list .kv-node-label").text()}),a.raise("treeview.change",[i,r])&&(a.$element.val(i),a.raise("change"))},getNewNode:function(){var e=this;return'<div class="kv-tree-list" tabindex="-1">\n   <div class="kv-node-indicators">&nbsp;</div>\n   <div class="kv-node-detail kv-focussed">\n       <span class="kv-node-label">'+e.messages.emptyNode+"</span>\n   </div>\n</div>"},create:function(){var a,i,r,n,s,o=this,l=o.$tree.find("li .kv-node-detail.kv-focussed"),d=l.closest("li"),c=o.messages;return d.hasClass("kv-disabled")?void o.dialogLib.alert(c.nodeDisabled):0===l.length||d.hasClass("kv-empty")?void o.dialogLib.alert(c.invalidCreateNode):(o.$toolbar.find(".kv-"+o.btns.trash).removeAttr("disabled"),s=d.find("> ul > li.kv-empty"),s.length>0?(i=s.data("key").replace("empty-",""),o.renderForm(null,i),l.removeClass("kv-focussed"),void t.addCss(s.find(".kv-node-detail"),"kv-focussed")):void(o.raise("treeview.create",[i])&&(s=e(document.createElement("li")).attr({"data-key":"empty-"+d.data("key"),"class":"kv-empty"}),r=o.getNewNode(),l.removeClass("kv-focussed"),s.append(r),d.hasClass("kv-parent")?d.children("ul").append(s):(t.addCss(d,"kv-parent"),a=e(document.createElement("ul")).append(s),d.append(a)),o.renderForm(null,d.data("key")),n=s.find(".kv-node-detail"),d.removeClass("kv-collapsed"),s.children(".kv-tree-list").focus(),n.on("click",function(){o.$tree.find(".kv-node-detail").removeClass("kv-focussed"),t.addCss(n,"kv-focussed"),i=s.data("key").replace("empty-",""),o.renderForm(null,i),o.$toolbar.find(".kv-"+o.btns.trash).removeAttr("disabled")}))))},createRoot:function(){var a=this,i=a.$tree.find(".kv-tree"),r=i.children("li.kv-empty");if(a.raise("treeview.createroot")){if(a.$tree.find(".kv-node-detail").removeClass("kv-focussed"),r.length>0)return t.addCss(r.find(".kv-node-detail"),"kv-focussed"),void a.renderForm(null,a.rootKey);var n=a.getNewNode(),s=e(document.createElement("li")).attr({"data-key":"empty-root","class":"kv-empty"});s.html(n),i.append(s),a.renderForm(null,a.rootKey);var o=s.find(".kv-node-detail");t.addCss(o,"kv-focussed"),a.$toolbar.find(".kv-"+a.btns.trash).removeAttr("disabled"),o.on("click",function(){a.$tree.find(".kv-node-detail").removeClass("kv-focussed"),t.addCss(o,"kv-focussed"),a.renderForm(null,a.rootKey),a.$toolbar.find(".kv-"+a.btns.trash).removeAttr("disabled")})}},toggle:function(e){var a=this,i=e.closest("li.kv-parent"),r=i.data("key");i.hasClass("kv-collapsed")?a.raise("treeview.expand",[r])&&i.removeClass("kv-collapsed"):a.raise("treeview.collapse",[r])&&t.addCss(i,"kv-collapsed")},toggleAll:function(e,a){var i=this;if("expand"===e){if(a&&!i.raise("treeview.expandall"))return;return i.$treeContainer.removeClass("kv-collapsed"),void i.$treeContainer.find(".kv-collapsed").removeClass("kv-collapsed")}a&&!i.raise("treeview.collapseall")||(t.addCss(i.$treeContainer.find("li.kv-parent"),"kv-collapsed"),t.addCss(i.$treeContainer,"kv-collapsed"))},check:function(e){var a,i=this,r=e===!0,n=r?i.$tree:e.closest("li"),s=r?"":n.data("key"),o=i.multiple&&0!=i.multiple;if(!(n.hasClass("kv-disabled")||r&&!o)){if(n.hasClass("kv-selected")){if(!i.raise("treeview.unchecked",[s]))return;if(n.removeClass("kv-selected"),o)i.cascadeSelectChildren&&n.find("li:not(.kv-disabled)").removeClass("kv-selected");else{if(!i.raise("treeview.change",["",""]))return;i.$tree.find("li:not(.kv-disabled)").removeClass("kv-selected"),i.$element.val(""),i.raise("change")}}else{if(!i.raise("treeview.checked",[s]))return;if(o)i.cascadeSelectChildren&&t.addCss(n.find("li:not(.kv-disabled)"),"kv-selected");else{if(a=n.find(">.kv-tree-list .kv-node-label").text(),!i.raise("treeview.change",[s,a]))return;i.$tree.find("li:not(.kv-disabled)").removeClass("kv-selected"),i.$element.val(s),i.raise("change")}t.addCss(n,"kv-selected")}o&&i.setSelected()}},clear:function(){var e=this;e.$treeContainer.removeClass("kv-loading-search"),e.$tree.find(".kv-highlight").removeClass("kv-highlight"),e.blurFilter()},parseCache:function(){var t=this;return t.enableCache?void e.ajaxPrefilter(function(a,i){if(a.cache){var r=i.beforeSend||e.noop,n=i.success||e.noop,s=i.url;a.cache=!1,a.beforeSend=function(){return r(),t.treeCache.exist(s)?(n(t.treeCache.get(s)),!1):!0},a.success=function(e){t.treeCache.set(s,e,n)}}}):!1},focusFilter:function(){var e=this;e.hideUnmatchedSearchItems&&(e.hasActiveFilter||(e.hasActiveFilter=!0),e.$search.val().length>0&&t.addCss(e.$treeContainer,"kv-active-filter"))},blurFilter:function(){var e=this;e.clearSearchResults(),e.hideUnmatchedSearchItems&&(e.hasActiveFilter&&(e.hasActiveFilter=!1),e.$treeContainer.removeClass("kv-active-filter"),e.$treeContainer.find(".kv-highlight").removeClass("kv-highlight"),e.$treeContainer.find(".kv-tree-container li.kv-filter-match").removeClass("kv-filter-match"))},clearSearchResults:function(){var t=this;t.$tree.find(".kv-node-label .kv-search-found").each(function(){var t=e(this),a=e(document.createElement("span")).appendTo(t);a.unwrap().remove()})},listen:function(){var a=this;a.$tree.find(".kv-node-toggle").each(function(){var t=e(this);t.on("click",function(){a.toggle(t)})}),a.$tree.find(".kv-node-checkbox:not(.kv-disabled)").each(function(){var t=e(this);t.on("click",function(){a.check(t)})}),a.$treeContainer.find(".kv-root-node-toggle").on("click",function(){a.$treeContainer.hasClass("kv-collapsed")?a.toggleAll("expand",!0):a.toggleAll("collapse",!0)}),a.$treeContainer.find(".kv-root-node-checkbox").on("click",function(){a.check(!0)}),a.$search.on("keyup",function(){var i=e(this).val();a.clear(),a.clearSearchResults(),t.addCss(a.$treeContainer,"kv-loading-search"),t.delay(function(){a.focusFilter(),a.$tree.find("li.kv-filter-match").removeClass("kv-filter-match"),a.toggleAll("collapse",!1),i=t.escapeRegExp(i),a.$tree.find(".kv-node-label").each(function(){var r,n,s=e(this),o=s.text(),l=o.search(new RegExp(i,"i"));0>l?s.removeClass("kv-highlight"):(t.addCss(s,"kv-highlight"),r=new RegExp(i,"ig"),n=o.replace(r,function(e){return'<span class="kv-search-found">'+e+"</span>"}),s.html(n),a.$tree.find("li.kv-parent").each(function(){var t=e(this);t.has(s).length>0&&t.removeClass("kv-collapsed")}))}),a.$tree.find(".kv-highlight").parentsUntil(a.$tree.selector,"li").each(function(){t.addCss(e(this),"kv-filter-match")}),a.$treeContainer.removeClass("kv-loading-search"),a.$treeContainer.find(".kv-tree-container").removeClass("kv-collapsed"),a.raise("treeview.search"),0===i.length&&a.blurFilter()},250)}).on("focus",function(){a.focusFilter()}).on("blur",function(){var t=e(this).val();null!==t&&""!==t||a.blurFilter()}),a.$clear.on("click",function(){a.$search.val(""),a.clear()}),a.$tree.find(".kv-node-detail").each(function(){e(this).on("click",function(){var t=e(this),i=t.closest("li"),r=i.data("key");if(a.raise("treeview.select",[r]))return a.$tree.hasClass("kv-tree-input-widget")?(t.removeClass("kv-focussed"),void a.check(i)):void(t.hasClass("kv-focussed")||(a.select(r),a.removeAlert()))})}),a.$toolbar.find(".kv-"+a.btns.create).on("click",function(){a.create()}),a.$toolbar.find(".kv-"+a.btns.createR).on("click",function(){a.createRoot()}),a.$toolbar.find(".kv-"+a.btns.trash).on("click",function(){a.remove()}),a.$toolbar.find(".kv-"+a.btns.moveU).on("click",function(){a.move("u")}),a.$toolbar.find(".kv-"+a.btns.moveD).on("click",function(){a.move("d")}),a.$toolbar.find(".kv-"+a.btns.moveL).on("click",function(){a.move("l")}),a.$toolbar.find(".kv-"+a.btns.moveR).on("click",function(){a.move("r")}),a.$detail.find(".alert").each(function(){var t=e(this);t.hasClass("hide")||(t.hide().fadeIn(1500),a.trigAlert(t))})},expandAll:function(){this.toggleAll("expand")},collapseAll:function(){this.toggleAll("collapse")},checkAll:function(){var e=this;e.$tree.removeClass("kv-selected"),e.check(!0)},uncheckAll:function(){var e=this;t.addCss(e.$tree,"kv-selected"),e.check(!0)},checkNode:function(e){var t=this,a=t.$tree.find('li[data-key="'+e+'"]');a.length&&(a.removeClass("kv-selected"),t.check(a))},uncheckNode:function(e){var a=this,i=a.$tree.find('li[data-key="'+e+'"]');i.length&&(t.addCss(i,"kv-selected"),a.check(i))}},e.fn.treeview=function(t){var i,r,n,s=Array.apply(null,arguments);return s.shift(),this.each(function(){i=e(this),r=i.data("treeview"),n="object"==typeof t&&t,r||(r=new a(this,e.extend({},e.fn.treeview.defaults,n,e(this).data())),i.data("treeview",r)),"string"==typeof t&&r[t].apply(r,s)})},e.fn.treeview.defaults={btns:{},treeId:"",detailId:"",toolbarId:"",wrapperId:"",showTooltips:!0,alertFadeDuration:1e3,cacheTimeout:3e5,showInactive:!1,actions:{manage:"",move:"","delete":""},messages:{emptyNode:"",nodeDisabled:"",invalidCreateNode:"",removeNode:"",nodeRemoved:"",emptyNodeRemoved:"",nodeNewMove:"",nodeTop:"",nodeBottom:"",nodeLeft:"",nodeRight:""},breadcrumbs:{},cascadeSelectChildren:!0,rootKey:"",hideUnmatchedSearchItems:!0},e.fn.treeview.Constructor=a}(window.jQuery);